/*****************************************************************************/
/* Utils.h                                Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Main header file for the Utils library. Include in your project to have   */
/* access to all utility functions                                           */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 29.05.04  1.00  Lad  The first version of Utils.h                         */
/*****************************************************************************/

#ifndef __UTILS_H__
#define __UTILS_H__

#include <tchar.h>
#include <assert.h>
#include <stdio.h>
#include <windows.h>
#include <commctrl.h>

//-----------------------------------------------------------------------------
// Use the appropriate library
//
// The library type is encoded in the library name as the following UtilsXYZ.lib:
// 
//  X - D for Debug version, R for Release version
//  Y - A for ANSI version, U for Unicode version
//  Z - S for static C library, D for multithreaded DLL library
//

#ifdef _MSC_VER
  #ifdef _DEBUG                                 // DEBUG VERSIONS
    #ifndef _UNICODE                            
      #ifdef _DLL                               
        #pragma comment(lib, "UtilsDAD.lib")    // Debug Ansi Dynamic version
      #else        
        #pragma comment(lib, "UtilsDAS.lib")    // Debug Ansi Static version
      #endif
    #else
      #ifdef _DLL
        #pragma comment(lib, "UtilsDUD.lib")    // Debug Unicode Dynamic version
      #else        
        #pragma comment(lib, "UtilsDUS.lib")    // Debug Unicode Static version
      #endif
    #endif
  #else                                         // RELEASE VERSIONS
    #ifndef _UNICODE
      #ifdef _DLL
        #pragma comment(lib, "UtilsRAD.lib")    // Release Ansi Dynamic version
      #else        
        #pragma comment(lib, "UtilsRAS.lib")    // Release Ansi Static version
      #endif
    #else
      #ifdef _DLL
        #pragma comment(lib, "UtilsRUD.lib")    // Release Unicode Dynamic version
      #else        
        #pragma comment(lib, "UtilsRUS.lib")    // Release Unicode Static version
      #endif
    #endif
  #endif
#endif

//-----------------------------------------------------------------------------
// Defines

// Macro for getting max. number of characters in a buffer
#ifndef _tsize
#define _tsize(buf)  ((sizeof(buf) / sizeof(TCHAR)) - 1)
#endif  // _tsize

//-----------------------------------------------------------------------------
// Public functions

// Verifies if the user's password is valid.
BOOL VerifyUserPassword(TCHAR * szUserName,
                        TCHAR * szDomain,
                        TCHAR * szPassword);

#endif // __UTILS_H__
