/*****************************************************************************/
/* VerifyUserPassword.cpp                 Copyright (c) Ladislav Zezula 2004 */
/*---------------------------------------------------------------------------*/
/* Verifies if the password is correct for a specified username and domain   */
/*---------------------------------------------------------------------------*/
/*   Date    Ver   Who  Comment                                              */
/* --------  ----  ---  -------                                              */
/* 31.05.04  1.00  Lad  The first version of VerifyUserPassword.cpp          */
/*****************************************************************************/

#include "Utils.h"

BOOL VerifyUserPassword(TCHAR * szUserName,
                        TCHAR * szDomain,
                        TCHAR * szPassword)
{
    HANDLE hToken = NULL;
    int nError = ERROR_SUCCESS;

    //enable required privilege
//  EnablePrivilege(SE_TCB_NAME);
//  EnablePrivilege(SE_CHANGE_NOTIFY_NAME);

    // Verify the user password
    if(nError == ERROR_SUCCESS)
    {
        if(!LogonUser(szUserName, szDomain, szPassword, LOGON32_LOGON_INTERACTIVE, LOGON32_PROVIDER_DEFAULT, &hToken))
            nError = GetLastError();
    }

    if(hToken != NULL)
        CloseHandle(hToken);
    return (BOOL)(nError == ERROR_SUCCESS);
}
